
singleton Material(AGERA_R_Exterior_mm_ext){
	mapTo = "AGERA_R_Exterior_mm_ext";
    diffuseMap[2] = "gallardo_c.png";
    specularMap[2] = "gallardo_s.png";
    normalMap[2] = "gallardo_n.jpg";
    diffuseMap[1] = "gallardo_d.png";
    specularMap[1] = "gallardo_s.png";
    normalMap[1] = "gallardo_n.jpg";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "gallardo_n.jpg";
    specular[0] = "0.5 0.5 0.5 0.1";
    specular[1] = "0.5 0.5 0.5 0.1";
    specular[2] = "0.5 0.5 0.5 0.1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    beamngDiffuseColorSlot = 2;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(AGERA_R_Exterior_mm_windows)
{
   mapTo = "AGERA_R_Exterior_mm_windows";
   diffuseColor[0] = "0.14 0.14 0.2 1";
   specularPower[0] = "300";
   translucentBlendOp = "Add";
   pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   doubleSided = "1";
   castShadows = "0";
   translucent = "1";
   translucentZWrite = "1";
   alphaTest = "1";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(AGERA_R_Exterior_mm_cab){
	mapTo = "AGERA_R_Exterior_mm_cab";
	diffuseColor[0] = "1 1 1 1";
	diffuseMap[0] = "vehicles/koenigsegg_agera_r/tex/2013_koenigsegg_agerar_cab.dxt.dds";
	doubleSided = "1";
};

singleton Material(AGERA_R_Exterior_mm_lights){
	mapTo = "AGERA_R_Exterior_mm_lights";
	diffuseColor[0] = "1 1 1 0.1";
	diffuseMap[0] = "vehicles/koenigsegg_agera_r/tex/2013_koenigsegg_agerar_lights.dxt.dds";
	dynamicCubemap = true;
	doubleSided = "1";
    beamngDiffuseColorSlot = 2; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(AGERA_R_Exterior_mm_misc){
	mapTo = "AGERA_R_Exterior_mm_misc";
	diffuseColor[0] = "1 1 1 0.1";
	diffuseMap[0] = "vehicles/koenigsegg_agera_r/tex/2013_koenigsegg_agerar_misc.dxt.dds";
	dynamicCubemap = true;
	doubleSided = "1";
    beamngDiffuseColorSlot = 2; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(AGERA_R_Exterior_mm_chassis){
	mapTo = "AGERA_R_Exterior_mm_chassis";
	diffuseColor[0] = "1 1 1 0.1";
	diffuseMap[0] = "vehicles/koenigsegg_agera_r/tex/b.jpg";
	dynamicCubemap = true;
	doubleSided = "1";
    beamngDiffuseColorSlot = 2; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("AGERA_R_Exterior_mm_ext.skin.1"){
	mapTo = "AGERA_R_Exterior_mm_ext.skin.1";
	diffuseColor[0] = "1 1 1 0.1";
	diffuseMap[0] = "vehicles/koenigsegg_agera_r/tex/livery/2013_koenigsegg_agerar_ext_blac_blue.dxt.dds";
	dynamicCubemap = true;
	doubleSided = "1";
    beamngDiffuseColorSlot = 2; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("AGERA_R_Exterior_mm_ext.skin.2"){
	mapTo = "AGERA_R_Exterior_mm_ext.skin.2";
	diffuseColor[0] = "1 1 1 0.1";
	diffuseMap[0] = "vehicles/koenigsegg_agera_r/tex/livery/2013_koenigsegg_agerar_ext_black_green.dxt.dds";
	dynamicCubemap = true;
	doubleSided = "1";
    beamngDiffuseColorSlot = 2; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("AGERA_R_Exterior_mm_ext.skin.3"){
	mapTo = "AGERA_R_Exterior_mm_ext.skin.3";
	diffuseColor[0] = "1 1 1 0.1";
	diffuseMap[0] = "vehicles/koenigsegg_agera_r/tex/livery/2013_koenigsegg_agerar_ext_blue.dxt.dds";
	dynamicCubemap = true;
	doubleSided = "1";
    beamngDiffuseColorSlot = 2; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("AGERA_R_Exterior_mm_ext.skin.4"){
	mapTo = "AGERA_R_Exterior_mm_ext.skin.4";
	diffuseColor[0] = "1 1 1 0.1";
	diffuseMap[0] = "vehicles/koenigsegg_agera_r/tex/livery/2013_koenigsegg_agerar_ext_red.dxt.dds";
	dynamicCubemap = true;
	doubleSided = "1";
    beamngDiffuseColorSlot = 2; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("AGERA_R_Exterior_mm_ext.skin.5"){
	mapTo = "AGERA_R_Exterior_mm_ext.skin.5";
	diffuseColor[0] = "1 1 1 0.1";
	diffuseMap[0] = "vehicles/koenigsegg_agera_r/tex/livery/2013_koenigsegg_agerar_ext_white_blue.dxt.dds";
	dynamicCubemap = true;
	doubleSided = "1";
    beamngDiffuseColorSlot = 2; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("AGERA_R_Exterior_mm_ext.skin.6"){
	mapTo = "AGERA_R_Exterior_mm_ext.skin.6";
	diffuseColor[0] = "1 1 1 0.1";
	diffuseMap[0] = "vehicles/koenigsegg_agera_r/tex/livery/2013_koenigsegg_agerar_ext_white_red.dxt.dds";
	dynamicCubemap = true;
	doubleSided = "1";
    beamngDiffuseColorSlot = 2; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(AGERA_R_Exterior_mm_badges)
{
   mapTo = "AGERA_R_Exterior_mm_badges";
	diffuseColor[0] = "1 1 1 0.1";
	diffuseMap[0] = "vehicles/koenigsegg_agera_r/tex/2013_koenigsegg_agerar_badges.dxt.dds";
	dynamicCubemap = true;
	doubleSided = "1";
    beamngDiffuseColorSlot = 2; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
	translucent = "1";
	translucentZWrite = "1";
};
